samtools-split(1)

NAME
samtools split - splits a file by read group.

SYNOPSIS

samtools split [options] merged.sam|merged.bam|merged.cram

DESCRIPTION

Splits a file by read group, producing one or more output files matching a common prefix (by default based on the input filename) each containing one read-group. The -u option may be used to specify the output filename for any records without an RG tag.

OPTIONS

-u FILE1
    Put reads with no RG tag or an unrecognised RG tag into FILE1

-h FILE2
    Use the header from FILE2 when writing the file given in the -u option. This header completely replaces the one from the input file. It must be compatible with the input file header, which means it must have the same number of references listed in the @SQ lines and the references must be in the same order and have the same lengths.

-f STRING
    Output filename format string (see below) ["%*_%#.%."]

-v  Verbose output

--no-PG
    Do not add a @PG line to the header of the output file.

Format string expansions:
%% | %
%* | basename
%# | @RG index
%! | @RG ID
%. | output format filename extension

AUTHOR

Written by Martin Pollard from the Sanger Institute.

SEE ALSO
samtools(1), samtools-addreplacerg(1)

Samtools website: <http://www.htslib.org/>